/*  BMPx - The Dumb Music Player
 *  Copyright (C) 2005 BMPx development team.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * The BMPx project hereby grant permission for non-gpl compatible GStreamer
 * plugins to be used and distributed together with GStreamer and BMPx. This
 * permission are above and beyond the permissions granted by the GPL license
 * BMPx is covered by.
 */


/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */

#ifndef BMP_PLUGIN_CONTAINER_PLS_H
#define BMP_PLUGIN_CONTAINER_PLS_H

#include <glib-object.h>

extern GType plugin_container_pls_type;

#define BMP_TYPE_PLUGIN_CONTAINER_PLS             plugin_container_pls_type 
#define BMP_PLUGIN_CONTAINER_PLS(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), BMP_TYPE_PLUGIN_CONTAINER_PLS, BmpPluginContainerPLS))
#define BMP_PLUGIN_CONTAINER_PLS_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), BMP_TYPE_PLUGIN_CONTAINER_PLS, BmpPluginContainerPLSClass))
#define BMP_IS_PLUGIN_CONTAINER_PLS(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BMP_TYPE_PLUGIN_CONTAINER_PLS))
#define BMP_IS_PLUGIN_CONTAINER_PLS_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), BMP_TYPE_PLUGIN_CONTAINER_PLS))
#define BMP_PLUGIN_CONTAINER_PLS_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), BMP_TYPE_PLUGIN_CONTAINER_PLS, BmpPluginContainerPLSClass))


typedef struct _BmpPluginContainerPLS BmpPluginContainerPLS;
typedef struct _BmpPluginContainerPLSClass BmpPluginContainerPLSClass;

struct _BmpPluginContainerPLS {
        GObject parent;
};

struct _BmpPluginContainerPLSClass {
        GObjectClass parent;
};

void plugin_container_pls_register_type (GTypeModule *module);


#endif //BMP_PLUGIN_CONTAINER_PLS_H
