#ifndef BMP_ALSA_H
#define BMP_ALSA_H

#include <glib.h>
#include <glib-object.h>


typedef struct _BmpAlsaDevice BmpAlsaDevice;
struct _BmpAlsaDevice {
      gchar *description; 
      gchar *dev;
      gint   card_id;
      gint   device_id;
};
GType
bmp_alsa_device_get_type (void);
#define BMP_TYPE_ALSA_DEVICE  (bmp_alsa_device_get_type ())
#define BMP_ALSA_DEVICE(c) ((BmpAlsaDevice*)c)


typedef struct _BmpAlsaCard BmpAlsaCard;
struct _BmpAlsaCard {
      gchar *description; 
      gchar *dev;
      gint   card_id;
      GList *devices;
};

GType
bmp_alsa_card_get_type (void);
#define BMP_TYPE_ALSA_CARD  (bmp_alsa_card_get_type ())
#define BMP_ALSA_CARD(c) ((BmpAlsaCard*)c)

GList*
bmp_alsa_get_cards (void);

#endif /* BMP_ALSA_H */
