/*  libhrel - Holyrel library

    Copyright (C) 2005 Chong Kai Xiong <descender@phreaker.net>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the
    Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA  02111-1307  USA.
*/

#ifndef H_STACK_H
#define H_STACK_H

#include <glib.h>

G_BEGIN_DECLS

typedef struct _HStack HStack;

HStack  *h_stack_new     (void);
void     h_stack_free    (HStack   *stack);
void     h_stack_push    (HStack   *stack,
                          gpointer  data);
void     h_stack_pop     (HStack   *stack);
gpointer h_stack_get_top (HStack   *stack);

G_END_DECLS

#endif /* #ifndef H_STACK_H */
