#ifndef _GC_H_
#define _GC_H_

/* NanoGC */

typedef struct {

    GList *stack;
    gint ctr;

} NGC;


NGC*
gc_new (void);

void
gc_destroy (NGC *gc);

void
gc_destroy_free (NGC *gc);

void
gc_mark (NGC *gc);

void
gc_free (NGC *gc);

gpointer
gc_collect (NGC *gc, gpointer collect_pointer);

gpointer
gc_collect_d (NGC *gc, gpointer collect_pointer, GDestroyNotify destroy);

#endif /* _GC_H_ */
